Subject: Re: minor problem with guestgroup

From: "Oliver Stoll" <[email-masked]>
Date: Wed, 12 Nov 1997 16:27:39 +0100

The behavior one would expect from the home directory

/a/./b/

is that:
     cd /      would change to /a/ on the system visible for the user as /
     cd /b   would change to /a/b  on the system visible for the user as /b
     cd ~    woudl change to /a/b on the system visible for the user as /b

Apparently, as Michael states, the "cd ~" doesn't show that behavior.
Instead of trying to "cd" the user to "/b", it tries to cd the user to "/a",
_in_ the chrooted environment, which doesn't exist in the chrooted environment.

Apparently, _wu-ftpd_  doesn't know what "chrooted" implies there.

It should
   1.) be possible to place the chrooted entry point higher than the user's
home
    directory which is possible.
   2.) it should be possible for the user to type "cd ~" which apparently
isn't.

Oliver

-----Ursprüngliche Nachricht-----
Von: Jenice Darner <[email-masked]>
An: Michael Douglass <[email-masked]>; WU-FTP discussion
<[email-masked]>
Datum: Mittwoch, 12. November 1997 16:24
Betreff: Re: minor problem with guestgroup

>Michael Douglass wrote:
>>
>> On Wed, Nov 12, 1997 at 07:56:41AM -0500, Jenice Darner said:
>>
>> You people don't understand.... You just don't understand, don't tell
>> me that I should really pick up the Essential System Administration
>> book...  I am _NOT_ guessing at paths..... ___I___ read the documentation
>> that came with wu-ftpd.... I states that you use the /./ to separate the
>> chrooted dir on the left-hand-side with the new-chrooted-home-dir on
>> the right hand side...  Before criticizing someone, make sure you
>> understand what they are talking about....
>
>key phrase here: the new-chrooted-home-dir on the right hand side...
>
>what does chrooted imply?
>
>since you aren't going to take the advice you asked for seriously...and
>as you stated to me, you are a "unix expert", then figure it out
>yourself.

---

From: Ming Lu <[email-masked]>
Date: Wed, 12 Nov 1997 10:47:57 -0500 (EST)

The chroot checks file in /home/wharever/users/etc/passwd.

_ming

On Wed, 12 Nov 1997, Oliver Stoll wrote:

->
->The behavior one would expect from the home directory
->
->/a/./b/
->
->is that:
->     cd /      would change to /a/ on the system visible for the user as /
->     cd /b   would change to /a/b  on the system visible for the user as /b
->     cd ~    woudl change to /a/b on the system visible for the user as /b
->
->Apparently, as Michael states, the "cd ~" doesn't show that behavior.
->Instead of trying to "cd" the user to "/b", it tries to cd the user to "/a",
->_in_ the chrooted environment, which doesn't exist in the chrooted environment.
->
->Apparently, _wu-ftpd_  doesn't know what "chrooted" implies there.
->
->It should
->   1.) be possible to place the chrooted entry point higher than the user's
->home
->    directory which is possible.
->   2.) it should be possible for the user to type "cd ~" which apparently
->isn't.
->
->Oliver
->
->
->
->-----Ursprüngliche Nachricht-----
->Von: Jenice Darner <[email-masked]>
->An: Michael Douglass <[email-masked]>; WU-FTP discussion
-><[email-masked]>
->Datum: Mittwoch, 12. November 1997 16:24
->Betreff: Re: minor problem with guestgroup
->
->
->>Michael Douglass wrote:
->>>
->>> On Wed, Nov 12, 1997 at 07:56:41AM -0500, Jenice Darner said:
->>>
->>> You people don't understand.... You just don't understand, don't tell
->>> me that I should really pick up the Essential System Administration
->>> book...  I am _NOT_ guessing at paths..... ___I___ read the documentation
->>> that came with wu-ftpd.... I states that you use the /./ to separate the
->>> chrooted dir on the left-hand-side with the new-chrooted-home-dir on
->>> the right hand side...  Before criticizing someone, make sure you
->>> understand what they are talking about....
->>
->>key phrase here: the new-chrooted-home-dir on the right hand side...
->>
->>what does chrooted imply?
->>
->>since you aren't going to take the advice you asked for seriously...and
->>as you stated to me, you are a "unix expert", then figure it out
->>yourself.
->
->

============================================================================
Ming Lu                                              Email: [email-masked]
Network Tech Consulting Engineer                     Phone: 703-689-5290 (w)
Engineering Division                                        703-855-4194 (m)
Global One Telecommunications, LLT.                         703-716-0872 (h)
============================================================================  
"Do not pay attention to every word people say, or you may hear your
 servant cursing you ---- for you know in your heart that many times you
 yourself have cursed others."